PDA

View Full Version : Repository 'wireless' ist ungültig. 4.1.26-21-default



Paceman
11-Jul-2016, 03:33
Hi Suse Community,
Ich hab ein problem mit meinem zypper. Seit dem ich mein Qualcomm Atheros AR928X Wireless Network Adapter geupdatet habe bekomme ich folgende fehlermeldung:



zypper up
Metadaten von Repository 'Packman Repository' abrufen ................[FERTIG]
Cache für Repository 'Packman Repository' erzeugen ...................[FERTIG]
Metadaten von Repository 'wireless' abrufen ..........................[Fehler]
Repository 'wireless' ist ungültig.
[wireless|http://download.opensuse.org/repositories/driver:/wireless/12.1-update/] Valid metadata not found at specified URL
Überprüfen Sie, ob die für dieses Repository bestimmten URIs auf ein gültiges Repository verweisen.
Warnung:Repository 'wireless' wird aufgrund des obigen Fehlers übersprungen.
Einige der Repositorys konnten aufgrund eines Fehlers nicht aktualisiert werden.



Ich hoffe es kann mir jemand helfen

Akoellh
11-Jul-2016, 03:56
Schmeiss das Repo raus und mit irgendeinem Update hat dieser Fehler 100%ig nix
zu tun.

Das sieht man auch an der Fehlermeldung, aus einem (seit langem) nicht mehr
existenten Repo kann man schließlich nichts updaten.

AK

--
Never attribute to malice that which can be adequately explained by stupidity.
(R.J. Hanlon)

dcurtisfra
11-Jul-2016, 09:34
Seit dem ich mein Qualcomm Atheros AR928X Wireless Network Adapter geupdatet habe …

Wie ich ihren Schreiben zu verstehen habe, eine Aktualisierung hat statt gefunden …
Egal, schau bitte in "/lib/firmware/".
Eine Teil der Standard Leap 42.1 Kernel Firmware sind die "ath9k_htc" Dateien und, weiter eine " # modinfo athk9" zeigt eine Liste "alias" Felder: <https://wiki.debian.org/ath9k>: in diese Liste taucht "AR928X" auf …
z.B.: auf diese Maschine:


# lsmod | grep ath9k
ath9k 131072 0
ath9k_common 36864 1 ath9k
ath9k_hw 479232 2 ath9k_common,ath9k
ath 36864 3 ath9k_common,ath9k,ath9k_hw
mac80211 819200 1 ath9k
cfg80211 622592 4 ath,ath9k_common,ath9k,mac80211
#

Wenn es Standard ist, brauchte Man keine Ersatzteilhändlern …



Ich hoffe es kann mir jemand helfen

Irgend eine wie Schiller oder Goethe hat auch irgendwas schönes über das Hoffnung geschrieben, sogar ziemlich vieles …
Lieder gibt es auch …

Sauerland
11-Jul-2016, 10:16
Seit dem ich mein Qualcomm Atheros AR928X Wireless Network Adapter geupdatet habe
Wie?
Womit?
Nach welcher Anleitung?
Der Treiber sollte eigentlich im Kernel vorhanden sein, poste bitte:

/sbin/lspci -nnk | grep -iA3 net

dcurtisfra
12-Jul-2016, 01:14
notabene: ich habe mich geirrt: das Atheros AR928X ist von das Standard 'ath9k' Kernel-Modul unterstützt.


> zypper info kernel-default
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...


Informationen zu package kernel-default:
----------------------------------------
Repository: openSUSE-Leap-42.1-Update
Name: kernel-default
Version: 4.1.26-21.1
Architektur: x86_64
Hersteller:openSUSE
Installiert: Ja
Status: aktuell
Installationsgröße: 223,6 MiB
Zusammenfassung:The Standard Kernel
Beschreibung:
The standard kernel for both uniprocessor and multiprocessor systems.


Source Timestamp: 2016-06-13 15:32:30 +0200
GIT Revision: 294632f9239dfc2ba54fccf9a2517c505aa17e63
GIT Branch: openSUSE-42.1
>
> zypper info --provides kernel-default | grep -i 'ath9k'
compat-ath9k == 3.0
compat-ath9k-kmp == 3.0
compat-ath9k-kmp-default == 3.0
ksym(default:ath9k_cmn_beacon_config_adhoc) == 2be00271
ksym(default:ath9k_cmn_beacon_config_ap) == 8bb90c91
.
.
.
ksym(default:ath9k_hw_wow_apply_pattern) == 80d04158
ksym(default:ath9k_hw_wow_enable) == dbeb0d6a
ksym(default:ath9k_hw_wow_wakeup) == ffd88b9e
ksym(default:ath9k_hw_write_associd) == 57025416
>
> lsmod | grep -i 'ath9k'
ath9k 131072 0
ath9k_common 36864 1 ath9k
ath9k_hw 479232 2 ath9k_common,ath9k
ath 36864 3 ath9k_common,ath9k,ath9k_hw
mac80211 819200 1 ath9k
cfg80211 622592 4 ath,ath9k_common,ath9k,mac80211
>

notebene: 'root' Benutzer:


# modinfo ath9k
filename: /lib/modules/4.1.26-21-default/kernel/drivers/net/wireless/ath/ath9k/ath9k.ko
license: Dual BSD/GPL
description: Support for Atheros 802.11n wireless LAN cards.
author: Atheros Communications
srcversion: 8E448B9052F40CC8AC3CAC5
alias: pci:v0000168Cd00000036sv*sd*bc*sc*i*
alias: pci:v0000168Cd00000036sv00001028sd0000020Ebc*sc*i*
alias: pci:v0000168Cd00000036sv00001043sd000085F2bc*sc*i*
alias: pci:v0000168Cd00000036sv000017AAsd00004026bc*sc*i*
alias: pci:v0000168Cd00000036sv000017AAsd00003026bc*sc*i*
.
.
.
alias: pci:v0000168Cd0000002Bsv*sd*bc*sc*i*
alias: pci:v0000168Cd0000002Bsv00001A3Bsd00002C37bc*sc*i*
alias: pci:v0000168Cd0000002Asv000010CFsd00001536bc*sc*i*
alias: pci:v0000168Cd0000002Asv000010CFsd0000147Dbc*sc*i*
alias: pci:v0000168Cd0000002Asv000010CFsd0000147Cbc*sc*i*
alias: pci:v0000168Cd0000002Asv0000185Fsd0000309Dbc*sc*i*
alias: pci:v0000168Cd0000002Asv00001A32sd00000306bc*sc*i*
alias: pci:v0000168Cd0000002Asv000011ADsd00006642bc*sc*i*
alias: pci:v0000168Cd0000002Asv000011ADsd00006632bc*sc*i*
alias: pci:v0000168Cd0000002Asv0000105Bsd0000E01Fbc*sc*i*
alias: pci:v0000168Cd0000002Asv00001A3Bsd00001C71bc*sc*i*
alias: pci:v0000168Cd0000002Asv*sd*bc*sc*i*
alias: pci:v0000168Cd00000029sv0000168Csd00002096bc*sc*i*
alias: pci:v0000168Cd00000029sv*sd*bc*sc*i*
alias: pci:v0000168Cd00000027sv*sd*bc*sc*i*
alias: pci:v0000168Cd00000024sv*sd*bc*sc*i*
alias: pci:v0000168Cd00000023sv*sd*bc*sc*i*
depends: ath9k_hw,mac80211,ath9k_common,cfg80211,ath
intree: Y
vermagic: 4.1.26-21-default SMP preempt mod_unload modversions
signer: openSUSE Secure Boot Signkey
sig_key: 03:32:FA:9C:BF:0D:88:BF:21:92:4B:0D:E8:2A:09:A5:4D:5D:EF:C8
sig_hashalgo: sha256
parm: debug:Debugging mask (uint)
parm: nohwcrypt:Disable hardware encryption (int)
parm: blink:Enable LED blink on activity (int)
parm: led_active_high:Invert LED polarity (int)
parm: btcoex_enable:Enable wifi-BT coexistence (int)
parm: bt_ant_diversity:Enable WLAN/BT RX antenna diversity (int)
parm: ps_enable:Enable WLAN PowerSave (int)
parm: use_chanctx:Enable channel context for concurrency (int)
#

Das Umsetzung vom PCI ID auf Textname ist mit Hilfe vom "/usr/share/pci.ids" per Hand zu machen:


# nee Atheros Communications, Inc.
168c Qualcomm Atheros
.
.
.
002a AR928X Wireless Network Adapter (PCI-Express)
0777 4f05 SR71-X 802.11abgn Wireless ExpressCard Adapter [AR9280]
103c 3041 AR5BHB92-H 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
103c 3042 AzureWave AW-NE773 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
105b e006 T77H053.00 802.11bgn Wireless Mini PCIe Card [AR9281]
105b e01f T77H047.31 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
106b 008f AirPort Extreme
11ad 6600 WN6600A 802.11bgn Wireless Mini PCIe Card [AR9281]
144f 7141 WLL6080 802.11bgn Wireless Mini PCIe Card [AR9281]
168c 0203 DW1525 802.11abgn WLAN PCIe Card [AR9280]
1a32 0303 EM303 802.11bgn Wireless Mini PCIe Card [AR9281]
1a32 0306 EM306 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
1a3b 1067 AW-NE771 802.11bgn Wireless Mini PCIe Card [AR9281]
1a3b 1081 AW-NE773 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]

Endergebnis: eine Qualcomm Atheros AR928X Funkschnittstelle ist von der Standard Leap 42.1 "ath9k" Kernel-Modul unterstützt.
Postskriptum: ich brauch das kernel-firmware Paket für AMD GPU und Radeon Unterstützung.